apiVersion: oadp.openshift.io/v1alpha1
kind: DataProtectionApplication
metadata:
  creationTimestamp: "2022-07-28T07:35:03Z"
  generation: 3
  name: example-velero
  namespace: openshift-adp
  resourceVersion: "690751157"
  uid: 4b79ffa1-9f6e-4d3e-9a9b-334258f56ef8
spec:
  backupLocations:
  - velero:
      config:
        insecureSkipTLSVerify: "true"
        profile: noobaa
        region: noobaa
        s3ForcePathStyle: "true"
        s3Url: https://s3-openshift-storage.apps.vlan611.rdu2.scalelab.redhat.com
      credential:
        key: cloud
        name: cloud-credentials
      default: true
      objectStorage:
        bucket: oadp-bucket
        prefix: velero
      provider: aws
  configuration:
    restic:
      enable: true
      podConfig:
        resourceAllocations:
          limits:
            cpu: 2
            memory: 32768Mi
          requests:
            cpu: 1
            memory: 16384Mi
      timeout: 900m
    velero:
      defaultPlugins:
      - openshift
      - aws
      - csi
      podConfig:
        resourceAllocations:
          limits:
            cpu: 4
            memory: 32768Mi
          requests:
            cpu: 2
            memory: 16384Mi
status:
  conditions:
  - lastTransitionTime: "2022-07-31T06:20:46Z"
    message: Reconcile complete
    reason: Complete
    status: "True"
    type: Reconciled
